"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const electron_1 = require("electron");
const log_1 = require("./log");
const app_1 = require("./app");
const config_1 = require("./config");
electron_1.app.removeAllListeners();
const appReady = new Promise(resolve => electron_1.app.once('ready', resolve));
process.on('unhandledRejection', (reason) => {
    const msg = 'FATAL: Unhandled rejection! Reason: ' + reason;
    appReady.then(() => electron_1.dialog.showMessageBox({
        type: 'error',
        buttons: ['OK'],
        message: msg,
    }, () => {
        electron_1.app.quit();
    }));
    log_1.default.error(msg);
});
electron_1.app.on('will-quit', () => {
    log_1.default.debug('Application is quitting');
});
Promise.all([
    config_1.default(),
    appReady
]).then(([config, _]) => app_1.default(config)).then(mstdn => {
    mstdn.start();
    log_1.default.debug('Application launched!');
});
//# sourceMappingURL=index.js.map