"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const electron_1 = require("electron");
const log_1 = require("./log");
function on(channel, callback) {
    electron_1.ipcRenderer.on(channel, (_, ...args) => {
        log_1.default.info('IPC: Received from:', channel, args);
        callback(...args);
    });
}
exports.on = on;
function send(channel, ...args) {
    log_1.default.info('IPC: Send:', channel, args);
    electron_1.ipcRenderer.send(channel, ...args);
}
exports.send = send;
//# sourceMappingURL=ipc.js.map